Bug 19664 - Kernel locks when using usb-serial
Kernel locks when using usb-serial
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-23 23:07 EDT by Omnifarious
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-27 12:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omnifarious 2000-10-23 23:07:05 EDT
I just bought a USB serial device that is supposedly supported by
keyspan_pda.c.
It does recognize it, but when I try to access it in any way, the kernel
locks up my entire system. Actually, I take back the 'in any way'.  When I
change ownership on /dev/usb/ttyUSB0 to me instead of root, and try to use
pilot-link, it locks up when I press the hotsync key on my Palm Pilot.
usbview reports: Vendor ID: 06cd  Product Id: 0103
When the usb-serial is loaded into the kernel, the product id mysteriously
changes to 0104.
Comment 1 Omnifarious 2000-10-23 23:10:04 EDT
Oh, yes...  My kernel is custom.  I compiled LVM and reiserfs into it (and
disable the MD devices completely).
I tried getting the latest keyspan code, but the 2.4 USB stuff is different from
the backport in RH 7, so it won't compile.
Comment 2 Alan Cox 2000-10-27 12:20:26 EDT
The 103 /104 thing is right (without/with firmware downloaded)

The rest sounds like general 2.4 kernel problems and its probably best to send
the report to the 2.4 USB maintainers directly.

Note You need to log in before you can comment on or make changes to this bug.